// JavaScript Document
  
var xmlObj = false;
var xmlResult;
try {
xmlObj=new XMLHttpRequest;
}
catch(e) {
try {
xmlObj=new ActiveXObject("MSXML2.XMLHTTP");
}
catch(e2) {
try {
xmlObj=new ActiveXObject("Microsoft.XMLHTTP");
}
catch(e3) {
xmlObj=false;
}
}
}
if (!xmlObj) {
alert("XMLHttpRequest init Failed!");
} 
 
function AjaxSearch() {
var searchword;
var installurl;
// 获取搜索关键字，并且进行URLEncode
searchword=escape(document.getElementById("searchword").value);
installurl=escape(document.getElementById("installurl").value);
 
//searchword="zhuyongjian";
 if(searchword=="") {
// 如果关键字为空，则提示用户输入关键字
 //document.getElementById("search_result").innerHTML="<ul><li>请输入关键字!</li></ul>";
  document.getElementById("search_result").innerHTML="";

 return;
 }
// 给出提示，正在搜索
 document.getElementById("search_result").innerHTML="&nbsp;&nbsp;正在更新....";
// 打开一个连接，采用POST
//urlgo=installurl+"ajaxsearch.asp";
xmlObj.open("POST",installurl+"ajaxsearch.asp",true);
 // 设置请求头，表单内容格式为URLEncoded
 xmlObj.setRequestHeader("Content-Type","application/x-www-form-urlencoded");

 //设置完成请求后响应函数
xmlObj.onreadystatechange=function() {
// 完成响应
if(xmlObj.readyState==4) {
// 状态正常
if(xmlObj.status==200) {
//// 设置xmlResult为搜索结果XML文档
 xmlResult=xmlObj.responseXML;
//// 调用AjaxShowResult()显示搜索结果
 AjaxShowResult();
}
}
}
xmlObj.send("searchword="+searchword);

// 发送请求，内容为搜索的关键字
//xmlObj.send("searchword="+searchword);
}
 
function AjaxShowResult() {
 var results,i,strTemp;
 // 获取搜索结果集合
results=xmlResult.getElementsByTagName("result");
//alert(results.length);
// 用无序列表来显示搜索结果
strTemp="<table border=0 align=left  cellpadding=0 cellspacing=0 width='100%'><tr><td>";
// 首先判断搜索结果是否为空
if(results[0].getElementsByTagName("logid")[0].firstChild.data=="#")
// 是空，则显示没有符合的搜索结果
strTemp=strTemp+"....对不起,暂无信息......";
else
// 循环输出每个搜索结果
for(i=0,j=1;i<results.length;i++,j++){
strTemp = strTemp + "&nbsp;<"+results[i].getElementsByTagName("logid")[0].firstChild.data +">"+ results[i].getElementsByTagName("logtitle")[0].firstChild.data + "</a>&nbsp;";　
//if(j % searchword==0)
//{
	//strTemp = strTemp +"</tr><tr>";
	//}



}

strTemp=strTemp+"</td></tr></table>";
// 显示搜索结果
document.getElementById("search_result").innerHTML = strTemp
}